From 4de7604dd086c7bebdcab4ae9dbbec24b59edabc Mon Sep 17 00:00:00 2001
From: Jean-Frederic Clere <jfclere@apache.org>
Date: Thu, 27 Feb 2020 10:31:45 +0000
Subject: [PATCH] Doc for secret in AJP.

git-svn-id: https://svn.apache.org/repos/asf/httpd/httpd/branches/2.4.x@1874564 13f79535-47bb-0310-9956-ffa450edef68
---
 docs/manual/mod/mod_proxy_ajp.html.en | 1 +
 docs/manual/mod/mod_proxy_ajp.xml     | 1 +
 2 files changed, 2 insertions(+)

 Ubuntu notes:
 - removed reference to the "secret" parameter being available since
   apache 2.4.42, since this is 2.4.41 at the moment.
 - removed hunk that patched the xml source file, since it's not shipped in
   the release tarball

Origin: https://github.com/apache/httpd/commit/4de7604dd086c7bebdcab4ae9dbbec24b59edabc
Bug-Ubuntu: https://bugs.launchpad.net/ubuntu/+source/apache2/+bug/1865340
Last-Update: 2020-03-05
diff --git a/docs/manual/mod/mod_proxy_ajp.html.en b/docs/manual/mod/mod_proxy_ajp.html.en
index f8427717792..b5e765ba3c9 100644
--- a/docs/manual/mod/mod_proxy_ajp.html.en
+++ b/docs/manual/mod/mod_proxy_ajp.html.en
@@ -482,6 +482,7 @@ attribute_value := (string)</pre></div>
       <tr><td>?req_attribute</td><td>0x0A</td><td>String</td><td>Name (the name of the
       attribute follows)</td></tr>
       <tr><td>?ssl_key_size</td><td>0x0B</td><td>Integer</td><td /></tr>
+      <tr><td>?secret</td><td>0x0C</td><td>String</td><td /></tr>
       <tr><td>are_done</td><td>0xFF</td><td>-</td><td>request_terminator</td></tr>
     </table>
     <p>The <code>context</code> and <code>servlet_path</code> are not
